## tcpserversrc

tcpserversrc — Receive data as a server over the network via TCP

## Synopsis

    struct              GstTCPServerSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstTCPServerSrc

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write
      "protocol"                 GstTCPProtocol        : Read / Write

## Description

### Example launch line

    1
    2
    3
    4

    # server:
    gst-launch tcpserversrc protocol=none port=3000 ! fdsink fd=2
    # client:
    gst-launch fdsrc fd=1 ! tcpclientsink protocol=none port=3000

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstTCPServerSrc

    struct GstTCPServerSrc;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The hostname to listen as.

Default value: NULL

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to listen to.

Allowed values: [0,65535]

Default value: 4953

### The `"protocol"` property

      "protocol"                 GstTCPProtocol        : Read / Write

The protocol to wrap data in.

Default value: GST_TCP_PROTOCOL_NONE

## See Also

tcpserversink